import Vue from "vue";
import { createPinia, PiniaVuePlugin } from "pinia";
import DataVComponent from "@zhgkpt/components";
import VScaleScreen from 'v-scale-screen'
import App from "./App.vue";
import router from "./router";

import "./assets/main.css";

Vue.use(PiniaVuePlugin);
Vue.use(DataVComponent);
Vue.component("v-scale-screen", VScaleScreen);

new Vue({
  router,
  pinia: createPinia(),
  render: (h) => h(App),
}).$mount("#app");
